plugins {
    id("com.knecon.fforesight.java-conventions")
    id("io.freefair.lombok") version "8.4"
}

description = "Library for adding/removing layers in the viewer document"

var pdfBoxVersion = "3.0.0"

dependencies {
    implementation("org.apache.pdfbox:pdfbox:${pdfBoxVersion}")
    implementation("org.apache.pdfbox:pdfbox-tools:${pdfBoxVersion}")
    implementation("org.slf4j:slf4j-api:1.7.25")
    implementation("com.knecon.fforesight:tracing-commons:0.5.0")
    implementation("com.pdftron:PDFNet:10.7.0")

    testImplementation("org.apache.logging.log4j:log4j-slf4j-impl:2.22.1")
    testImplementation("org.junit.jupiter:junit-jupiter")
    testImplementation platform('org.junit:junit-bom:5.10.0')
}
